#!/bin/bash

source /home/jboss/.bash_profile || exit

CERT_PATH_ARG="-Dserver.ssl.key-store=$PULSE_API_CERT_PATH"
CERT_PASS_ARG="-Dserver.ssl.key-store-password=$PULSE_API_CERT_PASS"
CERT_ALIAS_ARG="-Dserver.ssl.key-alias=$PULSE_API_CERT_ALIAS"
ENV_ARG="-Dspring.profiles.active=us-$PULSE_ENV"
NEWRELIC_HOME="-javaagent:/opt/newrelic/newrelic.jar"

if [[ "$PULSE_ENV" == "qa" ]] ||  [[ "$PULSE_ENV" == "prod" ]]; then
  JAVA_OPTS="$CERT_PATH_ARG $CERT_PASS_ARG $CERT_ALIAS_ARG $ENV_ARG $NEWRELIC_HOME"
else
  JAVA_OPTS="$CERT_PATH_ARG $CERT_PASS_ARG $CERT_ALIAS_ARG $ENV_ARG"
fi

cd $PULSE_API_ROOT_DIR || exit
nohup java $JAVA_OPTS -jar pulseui*.jar >> /dev/null &
echo $! > pulse-us-$PULSE_ENV.pid
